Skip to main content
GET
/
ad-metrics
/
{storeUrl}
/
dimensions
List available dimension values
curl --request GET \
  --url https://app.bily.ai/api/customer/v1/ad-metrics/{storeUrl}/dimensions \
  --header 'x-api-key: <api-key>'
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://app.bily.ai/api/customer/v1/ad-metrics/{storeUrl}/dimensions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://app.bily.ai/api/customer/v1/ad-metrics/{storeUrl}/dimensions"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "countries": [
    "<string>"
  ],
  "deviceTypes": [
    "<string>"
  ],
  "os": [
    "<string>"
  ],
  "browsers": [
    "<string>"
  ],
  "productIds": [
    "<string>"
  ]
}
{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}
{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}
{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}
{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}
{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}

Authorizations

x-api-key
string
header
required

A server-side Bily API key created under Settings > MCP > Access key fallback. Select the intended store before creating it.

Headers

x-bily-organization-id
string

An organization ID returned by GET /context or GET /organizations. Required for GET /stores and optional for store-scoped paths.

Example:

"org_01J8W7T9G3E6ZQ4M2K5N8P1R0S"

Path Parameters

storeUrl
string
required

The exact store URL returned by GET /context or GET /stores.

Example:

"store.example.com"

Query Parameters

startDate
string<date>
required

First date to include, in YYYY-MM-DD format.

endDate
string<date>
required

Last date to include, in YYYY-MM-DD format.

channel
string

Optional normalized channel.

adId
string

Optional ad ID.

dimension_source
enum<string>

Dimension attribution context.

Available options:
conversion,
first_touch

Response

Request completed successfully.

countries
string[]
required
deviceTypes
string[]
required
os
string[]
required
browsers
string[]
required
productIds
string[]
required